# $Id: smeserver-userpanels.spec,v 1.23 2008/11/25 16:20:33 slords Exp $
# Authority: dungog
# Name: Stephen Noble

Summary: Panels to let users to change server settings.
%define name smeserver-userpanels
Name: %{name}
%define version 1.0
%define release 22
Version: %{version}
Release: %{release}%{?dist}
License: GNU GPL version 2
URL: http://www.dungog.net/wiki
Group: SMEserver/addon
Source: %{name}-%{version}.tar.gz
Patch0: smeserver-vacation-1.0-esLocalePasswd+Fwd.patch
Patch1: smeserver-vacation-1.0-svLocalePasswd+Fwd.patch
Patch2: smeserver-userpanels-1.0-frLocale.patch
Patch3: smeserver-userpanels-1.0-pootle.patch
Patch4: smeserver-userpanels-1.0-locale-2008-03-14.patch
Patch5: smeserver-userpanels-1.0-locale-2008-04-01.patch
Patch6: smeserver-userpanels-1.0-locale-2008-04-22.patch
Patch7: smeserver-userpanels-1.0-add2general.patch
Patch8: smeserver-userpanels-1.0-locale-2008-05-05.patch
Patch9: smeserver-userpanels-1.0-add2general.patch2
Patch10: smeserver-userpanels-1.0-locale-2008-05-21.patch
Patch11: smeserver-userpanels-1.0-locale-2008-06-27.patch
Patch12: smeserver-userpanels-1.0-locale-2008-07-01.patch
Patch13: smeserver-userpanels-1.0-locale-2008-09-27.patch
Patch14: smeserver-userpanels-1.0-locale-2008-10-14.patch
Patch15: smeserver-userpanels-1.0-locale-2008-10-15.patch
Patch16: smeserver-userpanels-1.0-locale-2008-10-16.patch
Patch17: smeserver-userpanels-1.0-locale-2008-11-30.patch
BuildArchitectures: noarch
BuildRoot: /var/tmp/%{name}-%{version}
Requires: e-smith-release >= 7.0
Requires: e-smith-formmagick >= 1.4.0-12
BuildRequires: e-smith-devtools >= 1.13.1-03
AutoReqProv: no

%description
Provides additinal userpanels that allows user settings to be altered.
Change password,Forward mail, Backup users home directory,
Delegate creation of users with restrictions.

%changelog
* Sun Nov 30 2008 Jonathan Martens <smeserver-contribs@snetram.nl> 1.0-22
- Apply 30 Nov 2008 locale patch

* Thu Oct 16 2008 Jonathan Martens <smeserver-contribs@snetram.nl> 1.0-21
- Apply 16 Oct 2008 locale patch

* Wed Oct 15 2008 Jonathan Martens <smeserver-contribs@snetram.nl> 1.0-20
- Apply 15 Oct 2008 locale patch

* Tue Oct 14 2008 Jonathan Martens <smeserver-contribs@snetram.nl> 1.0-19
- Apply 14 Oct 2008 locale patch

* Sat Sep 27 2008 Stephen Noble <support@dungog.net> - 1.2-26
- Apply locale patch

* Tue Jul 1 2008 Jonathan Martens <smeserver-contribs@snetram.nl> 1.0-17
- Apply 1 July 2008 locale patch

* Fri Jun 27 2008 Jonathan Martens <smeserver-contribs@snetram.nl> 1.0-16
- Apply 27 Jun 2008 locale patch

* Thu May 21 2008 Jonathan Martens <smeserver-contribs@snetram.nl> 1.0-15
- Apply 21 May 2008 locale patch

* Mon May 5 2008 Jonathan Martens <smeserver-contribs@snetram.nl> 1.0-14
- Fixed locale issue with button not being translated in password panel [SME: 4310]
- Added 5 May 2008 locale patch from the translate engine

* Sat Apr 26 2008 Jonathan Martens <smeserver-contribs@snetram.nl> 1.0-13
- Add common <base> tags to e-smith-formmagick's general

* Tue Apr 22 2008 Jonathan Martens <smeserver-contribs@snetram.nl> 1.0-12
- Apply 22 April 2008 locale patch

* Tue Apr 1 2008 Shad L. Lords <slords@mail.com> 1.0-11
- Update to UTF-8 translations

* Fri Mar 14 2008 Stephen Noble <support@dungog.net> - 1.0-10
- Add requires for e-smith-formmagick for UTF-8 support [SME: 3858]

* Fri Mar 14 2008 Stephen Noble <support@dungog.net> - 1.0-9
- update locale 2008-03-14

* Sat Mar 07 2008 Stephen Noble <support@dungog.net> - 1.0-8
- prepare en lexicons for pootle translations

* Tue Dec 25 2007 Stephen Noble <support@dungog.net> 1.0-7
- add french translation, thanks Sylvain Gomez

* Thu Dec 6 2007 Stephen Noble <support@dungog.net> 1.0-6
- swedish translation, thanks Chrille

* Thu Dec 6 2007 Stephen Noble <support@dungog.net> 1.0-5
- remove Requires: smeserver-userpanel

* Mon Oct 29 2007 Stephen Noble <support@dungog.net> 1.0-4
- update spanish translations, thanks Normando Hall [SME 3503]

* Sun Apr 29 2007 Shad L. Lords <slords@mail.com>
- Clean up spec so package can be built by koji/plague

* Mon Oct 30 2006  Stephen Noble <support@dungog.net>
- forwarding lexicon updated for de
- [1.0-3]

* Sun Mar 26 2006  Stephen Noble <support@dungog.net>
- forwarding and password lexicons updated for de
- fix, error in logs starting httpd-admin [sme 1991]
- [1.0-2]

* Sun Mar 26 2006  Stephen Noble <support@dungog.net>
- Userpanel-forwarding lexicons for de, fr
- Partial forwarding lexicons for es, it
- [1.0-1]

* Fri Mar 17 2006  Stephen Noble <support@dungog.net>
- FormMagick version for Userpanel-forward, english only
- Userpanel-password updated to current FM style
- [0.9-3]

* Wed Sep 21 2005  Stephen Noble <support@dungog.net>
- FormMagick version for Userpanel-password, Languages included
- [0.9-2]

* Wed Sep 21 2005  Stephen Noble <support@dungog.net>
- initial release, contains
- userdata-backup, useraccounts, forward mail, change password
- [0.9-1]

%prep
%setup
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1
%patch16 -p1
%patch17 -p1

%build
LEXICONS=$(find root/etc/e-smith/locale/ -type f )
for lexicon in $LEXICONS root/etc/e-smith/web/functions/userpanel-{password,forwarding}
do
    /sbin/e-smith/validate-lexicon $lexicon
done

perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist
echo "%doc COPYING"  >> %{name}-%{version}-filelist

%clean
cd ..
rm -rf %{name}-%{version}

%pre
%preun

%post
#new installs
if [ $1 = 1 ] ; then
 globalUP=`/sbin/e-smith/db accounts get globalUP`
 if [ "x$globalUP" = "x" ]; then
     /sbin/e-smith/db accounts set globalUP userpanelglobal FirstName "global user" LastName "panel access" AdminPanels userpanel-forwarding,userpanel-password || :
 fi
fi

#upgrades (and new installs)
if [ -d /etc/e-smith/events/conf-userpanel ] ; then
   /sbin/e-smith/signal-event conf-userpanel
fi

%postun
#uninstall
if [ $1 = 0 ] ; then
 DBS=`find /home/e-smith/db/navigation -type f -name "navigation.*"`
 for db in $DBS ; do
          /sbin/e-smith/db $db delete userpanel-password 2>/dev/null
          /sbin/e-smith/db $db delete userpanel-userbackup 2>/dev/null
          /sbin/e-smith/db $db delete userpanel-forwarding 2>/dev/null
          /sbin/e-smith/db $db delete userpanel-useraccounts   2>/dev/null
 done
fi

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
